import { defineConfig } from 'astro/config'

// Settings
import { SiteSettings } from './config.json'

// Integrations
import mdx from '@astrojs/mdx'
import pagefind from "astro-pagefind"

// Astro Configuration
export default defineConfig({
    // Information
    site: SiteSettings.SiteProtocol + '://' + SiteSettings.SiteDomain,
    base: SiteSettings.SiteBase,
    // Integrations
    integrations: [
        mdx(),
        pagefind()
    ],
    // Server Output
    output: "static",
    prefetch: true,
    server: {
        port: 2014,
        host: true
    },
    // Others
    devToolbar: {
        enabled: false
    }
})